#!/bin/sh

function logcmd(){
  echo "$@"
  echo "`date +"%Y/%m/%d %H:%M:%S"` $@" >> patch.log
}

logcmd "PostgreSQL patch"

if [ ! -e /usr/local/hde/durian/install/durian_install.conf ]; then
  logcmd "MAS#D has not been installed. cancel patching."
  exit 1
fi

grep "install.core=true" /usr/local/hde/durian/install/durian_install.conf >> patch.log 2>&1
if [ $? -ne 0 ]; then
  logcmd "PostgreSQL has not been installed. cancel patching."
  exit 1
fi

# patch postgresql
/usr/local/hde/opt/pgsql/bin/psql -U durian -c "INSERT INTO pictdomain(domainname, carrierid) VALUES('au.com', 'CA000000000000000001')" >> patch.log 2>&1
if [ $? -ne 0 ]; then
  logcmd "failed to add au.com domain"
  logcmd "please contact mas-support@hde.co.jp"
  exit 1
fi

logcmd "PostgreSQL patch DONE"

